/*
Theme Name:     NewsPanda Child
Theme URI:      https://andreysid.ru/
Description:    Дочерняя тема для темы NewsPanda
Author:         Ваше имя
Author URI:     https://andreysid.ru/
Template:       newspanda
Version:        0.1.0
*/


/*добавлен стиль, ограничивающий ширину контента - необходимо для страницы автора
*/
.ppma-author-pages {
    max-width: 1270px;
    margin-left: auto;
    margin-right: auto;
    box-sizing: border-box;
}

/* Скрыть кнопку "Подписка на календарь" */
.tribe-events-c-subscribe-dropdown__container {
    display: none !important;
}

/* Скрыть метку времени мероприятия или метку "весь день" */
.tribe-events-widget-events-list__event-datetime {
    display: none !important;
}

/* Скрыть ссылку "посмотреть календарь" в виджете */
.tribe-events-widget-events-list__view-more {
    display: none !important;
}

/* Скрыть автора на странице архива тестов */
body.post-type-archive-qsm_quiz .entry-meta-wrapper {
    display: none !important;
}

/* Скрыть название страницы на странице архива тестов*/
body.post-type-archive-qsm_quiz .page-title {
    display: none !important;
}

/* Скрыть отображение рубрик на странице архива любой рубрики */
body.category .entry-categories {
    display: none !important;
}

/* Скрыть копирайт в подвале */
.copyright-info {
    display: none !important;
}

/* ставим кнопки доступности рядом с поиском в шапке */
.header-components-right {
    display: flex;
    align-items: center;
    gap: 0.8rem;
}

/* стиль кнопок доступности рядом с поиском в шапке */
.top-ally {
    min-height: 6.3rem;
    background-color: #af0700;
}

/* прижимаем вправо баннер в шапке */
.wpi-header-promote {
    display: flex;
    justify-content: flex-end;
}

/* увеличиваем заголовки материалов виджета на главной */
.wp-block-latest-posts__post-title {
    font-size: 24px;
}

/* NewsPanda: делаем подменю компактнее */
.primary-menu ul {
    width: auto;
    min-width: 180px;
    max-width: 240px;
}
/* NewsPanda: делаем подменю компактнее */
.primary-menu ul {
    width: auto;
    min-width: 110px;
    max-width: 240px;
}
/* NewsPanda: делаем подменю компактнее продолжение*/
.primary-menu ul a {
    padding: 1rem 1.2rem;
    line-height: 1.3;
}

/* убираем автоматическую подстановку большого фото на странице записи */
.single .post-thumbnail {
    display: none;
}

/* убираем время чтения поста */
.entry-read-time {
    display: none;
}

/* ограничиваем ширину всего хэдера */
#masthead {
    max-width: 1240px;
    margin-left: auto;
    margin-right: auto;
}


/* убираем обтекание текста при ширине менее 500 пикселей */
@media (max-width: 500px) {
  .wp-block-latest-posts__featured-image.alignleft {
    float: none !important;
    display: block !important;
    margin: 0 0 12px 0 !important;
  }
}


@media (max-width: 500px) {
  .entry-content figure.alignleft,
  .entry-content figure.alignright {
    float: none !important;
    margin: 0 auto 12px auto !important;
  }
}

.single-post .primary-area .wpi-post-default .entry-details h2:not(.entry-title) {
    font-size: 3.0rem; /* уменьшаем размер шрифта подзага в тексте */
}


/* увеличение свободного пространства под фото виджета на главной, чтобы текстовый блок не уходил под фото */
.wp-block-latest-posts__featured-image {
    margin-bottom: 2.8em;
}


/* делаем так, чтобы в десктопной версии текст на главной в виджете не уходил под фото */
@media (min-width: 820px) {
    .wp-block-latest-posts__post-excerpt {
        display: inline-block !important;
        width: calc(100% - 320px) !important;
        vertical-align: top !important;
        margin-top: 0 !important;
        box-sizing: border-box !important;
    }
}


/* убираем точку перед каждым пунктом в сайдбаре отдельной записи */
.widget-area li {
    list-style: none;
}

/* Уменьшаем размер фотографии в архивах */
.site .entry-image-small img {
  width: 100%;
  height: 200px;
  object-fit: cover;
  object-position: center top;
}

/* Уменьшаем размер фотографии в архивах */
@media (min-width: 768px) {
    .archive_style_1 .wpi-post-default .entry-image {
        flex-basis: 40%;
        margin: 0;
    }
}

/* Убираем заголовок "Автор" на странице автора */
.ppma-author-pages .widget-title  {
    visibility: hidden;
}

/* Убираем прикрепленное фото со страниц */
.type-page .entry-image {
    display: none;
}

/* Добавляем значок Дзен в меню соцсетей */
.menu-dzen .svg-icon {
    display: none;
}

.menu-dzen a::before {
    content: "";
    display: inline-block;
    width: 18px;
    height: 18px;
    margin: 0 auto;
    vertical-align: middle;
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 18 18'><path fill='white' d='M9 0C6.5 0 5 1.5 5 4c0 2.5 1.5 4 4 4c2.5 0 4-1.5 4-4c0-2.5-1.5-4-4-4zM0 9c0 2.5 1.5 4 4 4c2.5 0 4-1.5 4-4c0-2.5-1.5-4-4-4C1.5 5 0 6.5 0 9zm9 0c0 2.5 1.5 4 4 4c2.5 0 4-1.5 4-4c0-2.5-1.5-4-4-4c-2.5 0-4 1.5-4 4zM5 14c0 2.5 1.5 4 4 4c2.5 0 4-1.5 4-4c0-2.5-1.5-4-4-4c-2.5 0-4 1.5-4 4z'/></svg>");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
}

footer .menu-dzen a::before,
.site-footer .menu-dzen a::before {
    filter: brightness(0);
}


p, h1, h2, h3, h4, .entry-content {
    -webkit-hyphens: auto;
    -ms-hyphens: auto;
    hyphens: auto;
}

/* Заголовок события */
.tribe-events-widget-events-list__event.tribe_events_cat-important 
.tribe-events-widget-events-list__event-title-link {
    color: var(--wpi--primary-bg-color);
}